	program magics

	call popen

	call pset1c("output_formats", (/"png"/), 1)
	call psetc("output_name", "contour13")
	call psetc("output_name_first_page_number", "off")

	call psetr("subpage_lower_left_longitude", -125.23)
	call psetr("subpage_upper_right_longitude", -66.45)
	call psetr("subpage_upper_right_latitude", 49.89)
	call psetc("subpage_map_projection", "cylindrical")
	call psetr("subpage_lower_left_latitude", 24.04)

	call pseti("grib_field_position", 1)
	call psetc("grib_input_file_name", "wind_gust.grib")
	call pgrib

	call preset('grib_field_position')
	call preset('grib_input_file_name')

	call psetc("map_coastline_land_shade_colour", "cream")
	call psetc("map_coastline_land_shade", "on")
	call pcoast

	call preset('map_coastline_land_shade_colour')
	call preset('map_coastline_land_shade')

	call psetc("contour_level_selection_type", "level_list")
	call psetc("contour_shade_colour_method", "list")
	call psetc("contour_shade_method", "area_fill")
	call psetc("contour_shade", "on")
	call pset1r("contour_level_list", (/0.30, 1.60, 3.40, 5.50, 8.00, 10.80, 13.90, 17.20, 20.80, 24.50, 28.50, 32.70, 50.00/), 13)
	call psetc("contour_hilo", "off")
	call psetc("contour", "off")
	call psetc("contour_highlight", "off")
	call psetc("contour_label", "off")
	call pset1c("contour_shade_colour_list", (/"rgb(0.85,1,1)     ", "rgb(0.65,1,1)     ", "rgb(0.45,0.95,1)  ", "rgb(0.6,1,0.6)    ",&
		"rgb(0.65,0.95,0.2)", "rgb(1,1,0)        ", "rgb(1,0.85,0)     ",&
		"rgb(1,0.7,0)      ", "rgb(1,0.5,0)      ", "rgb(1,0,0)        ",&
		"rgb(0.9,0,0.5)    ", "rgb(0.7,0,0.7)    "/), 12)
	call psetr("contour_shade_min_level", 0.00)
	call psetc("legend", "on")
	call pcont

	call preset('contour_level_selection_type')
	call preset('contour_shade_colour_method')
	call preset('contour_shade_method')
	call preset('contour_shade')
	call preset('contour_level_list')
	call preset('contour_hilo')
	call preset('contour')
	call preset('contour_highlight')
	call preset('contour_label')
	call preset('contour_shade_colour_list')
	call preset('contour_shade_min_level')
	call preset('legend')

	call psetc("map_label", "on")
	call psetc("map_grid_line_style", "dash")
	call psetc("map_grid_colour", "grey")
	call psetc("map_coastline_colour", "black")
	call psetc("map_coastline_land_shade", "off")
	call pcoast

	call preset('map_label')
	call preset('map_grid_line_style')
	call preset('map_grid_colour')
	call preset('map_coastline_colour')
	call preset('map_coastline_land_shade')

	call pset1c("text_lines", (/"<font size="1">wind gust - Contour shade (Beaufort wind scale)</font>",&
		"<magics_title/>                                                      "/), 2)
	call psetr("text_font_size", 0.60)
	call psetc("text_justification", "left")
	call psetc("text_colour", "charcoal")
	call ptext

	call preset('text_lines')
	call preset('text_font_size')
	call preset('text_justification')
	call preset('text_colour')

	call pclose

	end
